@ECHO off
:init
SET BACKUP_DIR=..\backup7.1.1.5
SET FILE1=ILOG.Rules.Office.Common.dll
SET INSTALL_PATH=..\Bin
SET INSTALLED_VERSION_35=7.1.135.5132
SET INSTALLED_VERSION_40=7.1.140.5132
SET ERROR_INSTALL=0

REM Test if the interim fix is installed in the correct location
IF NOT EXIST "%INSTALL_PATH%\%FILE1%" GOTO incorrect_path

for /f  %%a IN ('cscript //nologo .\checkversion.vbs "%INSTALL_PATH%\%FILE1%"') DO @SET dllversion=%%a
IF NOT "%dllversion%" == "%INSTALLED_VERSION_35%" GOTO test_version2010
SET INSTALLED_PATH=2007
goto test_permission

:test_version2010
REM Verify the version installed
for /f  %%a IN ('cscript //nologo .\checkversion.vbs "%INSTALL_PATH%\%FILE1%"') DO @SET dllversion=%%a
IF NOT "%dllversion%" == "%INSTALLED_VERSION_40%" GOTO incorrect_version
SET INSTALLED_PATH=2010

:test_permission
REM Verify if the fix can be installed with permission access
ECHO "test" > "%INSTALL_PATH%\test.tmp"
IF NOT EXIST "%INSTALL_PATH%\test.tmp" GOTO incorrect_permission
DEL "%INSTALL_PATH%\test.tmp"
GOTO END

:incorrect_path
ECHO Error: The interim fix cannot find Rules Solution for Office installation.
ECHO Action: Please move the folder IF021 to the root of the Rules Studio for .NET installation.
SET ERROR_INSTALL=1
GOTO END

:incorrect_version
ECHO Error: The Rules Solution for Office version %dllversion% detected should be %INSTALLED_VERSION%.
ECHO Action: Please check that you are installing this fix on Rules Solution for Office V7.1.1.5
SET ERROR_INSTALL=1
GOTO END

:incorrect_permission
ECHO Error: You do not have enough permission to install the fix. 
ECHO Action: Please run this script as Administrator.
SET ERROR_INSTALL=1
:end
GOTO :EOF
